<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
$lng_profile = core::load_lng('profile');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['access_guest_forbidden']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['user_does_not_exist']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$array = array(
    'activity'  => 'includes/profile',
    'ban'       => 'includes/profile',
    'edit'      => 'includes/profile',
    'images'    => 'includes/profile',
    'info'      => 'includes/profile',
    'ip'        => 'includes/profile',
    'guestbook' => 'includes/profile',
    'karma'     => 'includes/profile',
    'office'    => 'includes/profile',
    'password'  => 'includes/profile',
    'reset'     => 'includes/profile',
    'settings'  => 'includes/profile',
    'stat'      => 'includes/profile',
    'friends'   => 'includes/profile'
);
$path = !empty($array[$act]) ? $array[$act] . '/' : '';
if (array_key_exists($act, $array) && file_exists($path . $act . '.php')) {
    require_once($path . $act . '.php');
} else {
    /*
    -----------------------------------------------------------------
    Анкета пользователя
    -----------------------------------------------------------------
*/

    $headmod = 'profile,' . $user['id'];
    $textl = $lng['profile'] . ': ' . htmlspecialchars($user['name']);
    require('../incfiles/head.php');
echo '<div class="phdr"><b>' . ($user['id'] != $user_id ? $lng_profile['user_profile'] : $lng_profile['my_profile']) . '</b></div>';
require_once("../man/manfunc.php");

    // Меню анкеты
  
    //Уведомление о дне рожденья
    if ($user['dayb'] == date('j', time()) && $user['monthb'] == date('n', time())) {
        echo '<div class="gmenu">' . $lng['birthday'] . '!!!</div>';
    }

// Agent ///
function qurilmaturi($usagent) {
  $komp_agent = array('windows', 'macintosh');
    $agent = strtolower($usagent);
    foreach ($komp_agent as $value) {
        if (strpos($agent, $value) !== false) $qur = ''.$home.'/images/madel/laptop.png';
    }
  //------------
  $android_agent_array = array('android', 'symbian', 'htc_', 'samsung', 'smartphone');
    $agent = strtolower($usagent);
    foreach ($android_agent_array as $value) {
        if (strpos($agent, $value) !== false) $qur = ''.$home.'/images/madel/android.png';
    }
  //----------
  $apple_agent_array = array('ipad', 'iphone');
    $agent = strtolower($usagent);
    foreach ($apple_agent_array as $value) {
        if (strpos($agent, $value) !== false) $qur = ''.$home.'/images/madel/iphone.png';
    }
 
  //------------------
  $mobile_agent_array = array('pocket', 'palm', 'windows ce', 'windowsce', 'cellphone', 'opera mobi', 'small', 'sharp', 'sonyericsson', 'opera mini', 'nokia', 'motorola', 'blackberry', 'playstation portable', 'tablet browser');
    $agent = strtolower($usagent);
    foreach ($mobile_agent_array as $value) {
        if (strpos($agent, $value) !== false) $qur = ''.$home.'/images/madel/phone.png';
    }
   return $qur;
}
// $_SERVER['HTTP_USER_AGENT']
$usagent = $user['browser'];
    // Информация о юзере
    $arg = array(

        'lastvisit' => 1,
        'iphist'    => 1,
        'header'    => '<img src="'.qurilmaturi($usagent).'" alt="" />'
    );

   
//      echo '<div class="menu"><p>' . functions::display_user($user, $arg) . '</p></div>';
// Yopiq anketa


echo "<table width='100%'>";
echo "<table class='' cellpadding='0' cellspacing='0'><tr><td>";
if (file_exists(('../files/users/photo/' . $user['id'] . '.jpg'))) {
echo '<span class="fotomenu1"><a href="'.$home.'/files/users/photo/' . $user['id'] . '.jpg"><img src="'.$home.'/files/users/photo/' . $user['id'] . '.jpg" width="50" height="50" alt="' . $user['name'] . '" /></a></span>';
} else {
// Jinsga qarab avatar chiqarish
if($user['sex'] == 'w')
{
	echo '<img src="' . $system_set['homeurl'] . '/images/user/w.png" width="32" height="32" alt="" />&#160;';
} elseif($user['sex'] == 'm')
	{
	 echo '<img src="' . $system_set['homeurl'] . '/images/user/m.png" width="32" height="32" alt="" />&#160;';
	}
	}
echo '</td><td>';
//Jinsga va mansabga qarab iconka chiqarish
	if ($user['rights'] == 9 )
	{
		if($user['sex'] == 'w')
		{
			if($user['lastdate'] > time()-600)
			{
				echo ' <img src="/images/user/2.png" /> ';
			} elseif($user['lastdate'] < time()-600)
				{
					echo ' <img src="/images/user/2_2.png" /> ';
				}
		} elseif($user['sex'] == 'm')
			{
				if($user['lastdate'] > time()-600)
				{
					echo ' <img src="/images/user/1.png" /> ';
				} elseif($user['lastdate'] < time()-600)
					{
						echo ' <img src="/images/user/1_1.png" /> ';
					}
			}
	}
	if ($user['rights'] == 7 || $user['rights'] == 6 || $user['rights'] == 5 || $user['rights'] == 4 || $user['rights'] == 3 || $user['rights'] == 2 || $user['rights'] ==  1)
	{
		if($user['sex'] == 'w')
		{
			if($user['lastdate'] > time()-600)
			{
				echo ' <img src="/images/user/4.png" /> ';
			} elseif($user['lastdate'] < time()-600)
				{
					echo ' <img src="/images/user/4_4.png" /> ';
				}
		} elseif($user['sex'] == 'm')
			{
				if($user['lastdate'] > time()-600)
				{
					echo ' <img src="/images/user/3.png" /> ';
				} elseif($user['lastdate'] < time()-600)
					{
						echo ' <img src="/images/user/3_3.png" /> ';
					}
			}
	}
	else
	if($user['rights'] == 0)
	{
		if($user['sex'] == 'w')
		{
			if($user['lastdate'] > time()-600)
			{
				echo ' <img src="/images/user/6.png" /> ';
			} elseif($user['lastdate'] < time()-600)
				{
					echo ' <img src="/images/user/6_6.png" /> ';
				}
		} elseif($user['sex'] == 'm')
			{
				if($user['lastdate'] > time()-600)
				{
					echo ' <img src="/images/user/5.png" /> ';
				} elseif($user['lastdate'] < time()-600)
					{
						echo ' <img src="/images/user/5_5.png" /> ';
					}
			}
	}			
	echo (!$user_id || $user_id == $user['id'] ? ' </td><td> <b>' . $user['name'] . '</b> ' : '<td><b>' . $user['name'] . '</b> ');
//Mansabni chiqaramiz
	$rank = array(
                0 => '',
                1 => '(GMod)',
                2 => '(CMod)',
                3 => '(FMod)',
                4 => '(DMod)',
                5 => '(LMod)',
                6 => '(Smd)',
                7 => '(Adm)',
                9 => '(SV!)'
            );
            $rights = isset($user['rights']) ? $user['rights'] : 0;
            echo ' ' . $rank[$rights];
echo "</td>";
echo "</tr></table>";
echo "</div>";
	  $menu = array();
    if ($user['id'] == $user_id || $rights == 9 || ($rights == 7 && $rights > $user['rights'])) {
        $menu[] = '<a href="profile.php?act=edit&amp;user=' . $user['id'] . '">' . $lng['edit'] . '</a>';
    }
    if ($user['id'] != $user_id && $rights >= 7 && $rights > $user['rights']) {
        $menu[] = '<a href="' . $set['homeurl'] . '/' . $set['admp'] . '/index.php?act=usr_del&amp;id=' . $user['id'] . '">' . $lng['delete'] . '</a>';
    }
    if ($user['id'] != $user_id && $rights > $user['rights']) {
        $menu[] = '<a href="profile.php?act=ban&amp;mod=do&amp;user=' . $user['id'] . '">' . $lng['ban_do'] . '</a>';
    }
    if (!empty($menu)) {
        echo '<div class="menu">' . functions::display_menu($menu) . '</div>';
    }
        
    // Если юзер ожидает подтверждения регистрации, выводим напоминание
    if ($rights >= 7 && !$user['preg'] && empty($user['regadm'])) {
        echo '<div class="rmenu">' . $lng_profile['awaiting_registration'] . '</div>';
    }
/////////STATUS boshi///////////

$yosh_statuslari=mysql_result(mysql_query("SELECT COUNT(*) FROM `yosh_status` WHERE `id_user`='$user[id]'"),0);
$s=mysql_query("SELECT * FROM `yosh_status` WHERE `id_user` = '$user[id]' ORDER BY `time` DESC  LIMIT 1");
$sts_qiymati=mysql_result(mysql_query("SELECT COUNT(*) FROM `yosh_status` where `id_user`=$user[id]"),0);


if ($sts_qiymati==0) {
if ($user['id'] == $user_id) {
echo '<div class="statusde"><form action="'.$home.'/status/?yosh=status_saqlash" method="post">
			<input type="name" name="name" maxlength="150" size="18" class="anput"/><input value="    +    " type="submit"/></form>
			</div>';
}}

while ($sts = mysql_fetch_assoc($s)){
if ($user['id']==$user_id) {
echo '<div class="list1"><form action="'.$home.'/status/?yosh=status_saqlash" method="post">
			<input type="name" name="name" maxlength="150" size="18" class="anput"/><input value="    +    " type="submit"/></form>
			</div>';
echo '<div class="statusde">'.functions::checkout($sts[name]).'<font style="font-size:11px; color:gray;">&#160;&#160;&#160;'.functions::display_date($sts['time']).'</font></div>';
} else {
echo '<div class="statusde">'.functions::checkout($sts[name]).'<font style="font-size:11px; color:gray;"></font></div>';
}

}
/////////STATUS oxiri///////////
require_once('closed.php');
/////////Oxirgi podarkalar//////
$last_gifts  = mysql_query("SELECT * FROM `users_gifts` WHERE `user_id` = '$user[id]' ORDER BY `id` DESC LIMIT 3");
if( mysql_num_rows($last_gifts) > 0) {
echo  '<div class="phpcode">';
while( $gift = mysql_fetch_assoc($last_gifts)) {
$dir ='gifts';
//Задаем параметры ресайза, в нашем случае - ширина и высота
$imageWidth ='32';
$imageHeight ='32';
if( $user['id'] == $user_id)
{
$alt  = (!empty($gift['text']) ? '' . $gift['text'] : $gift['name']);
} else {
if( $gift['type'] == 0)
$alt  = (!empty($gift['text']) ? '' . $gift['text'] : $gift['name']);
else
$alt  = $lng_gifts['privat'];
}
$rgsdimg  = $home .'/image.php?image=/images/'.$dir.'/'. $gift['image'] .'&amp;width='. $imageWidth .'&amp;height='. $imageHeight.'&amp;cropratio=1:1';
$photo ='<img  src="'. $rgsdimg .'" title="'.$alt.'" alt="' . $alt . '"  />';
echo  $photo . '&nbsp;';
}
echo  '</div>';
}


$club = mysql_fetch_array 
(mysql_query("SELECT `id`, `name` FROM `fman_clubs` WHERE `user_id` = " . $user ['id'] . ";"));
if($club_id && $club_id!=$id && $a[user_id])echo '<div class="phdr">Harakat</div>';

$ank = mysql_fetch_array(mysql_query("SELECT * FROM `users`  WHERE `id` = '$user' LIMIT 1"));


echo '<div class="phdr"><b>Ma`lumot</b></div>';
echo'<div class="list1"><img src="'.$home.'/img/ws/users/id.png" height="16" weidth="16"/> ID: <b>'.$user['id'].'</b><br /></div>';
echo'<div class="list1">&raquo; FM jamoa: <font color=black><a href="' . $home . '/man/club.php? id=' . $club['id'] . '">' . $club ['name'] . '</a> | <a href="'. $home .'/man/tm.php?id='. $club['id'].'">O`rtoqlik o`yini</a></font><br /></div>';

if (!empty($user['imname']))
{
echo'<div class="list2">&raquo; Ism: <b>'.$user['imname'].'</b></span><br /></div>';
}
if (!empty($user['live']))
{
echo'<div class="list1">&raquo; Yashash joy: <b>'.$user['live'].'</b></span><br /></div>';
}
if (!empty($user['mibile']))
{
echo'<div class="list2">&raquo; Tel Raqam: <b>'.$user['mibile'].'</b><br /></div>';
}
if (!empty($user['mail']))
{
echo'<div class="list1">&raquo; E-Pochta: <b>'.$user['mail'].'</b><br /></div>';
}
if (!empty($user['about']))
{
echo'<div class="list2">&raquo; Qiziqishlar: <b>'.$user['about'].'</b><br /></div>';
}
if ($user['id'] != $user_id) {
	if (!functions::is_ignor($user['id']) && functions::is_contact($user['id']) != 2 && empty($ban['1']) && empty($ban['3'])) {
echo '<div class="hmenu">' . functions::image('right_icon.gif') . ' <a href="../mail/index.php?act=write&amp;id=' . $user['id'] . '">Xabar yuborish</a></div>';
        }
	} else {
echo '<div class="hmenu">' . functions::image('right_icon.gif') . ' <a href="../mail/index.php?act=input">Xabarlar</a></div>';
		}
echo'<div class="hmenu"><img src="../images/right_icon.gif">&#160; <a href="/gifts/index.php?user=' . $user['id'] . '">Sovg\'a yuborish</a></div>';

echo '<div class="phdr"><b>Statistika</b></div>';
echo'<div class="list2">&raquo; Balans: '.$user['balans'].' Ball<br /></div>';
$lastvisit = time() > $user['lastdate'] + 1200 ? date("d.m.Y (H:i)", $user['lastdate']) :  false;
echo'<div class="list1">&raquo; Oxirgi tashrif:  <b>' . date("d.m.Y (H:i)", $user['lastdate']) . '</b><br /></div>';
echo'<div class="list2">&raquo; ' . ($user['sex'] == 'm' ? $lng_profile['stayed_m'] : $lng_profile['stayed_w']) . ': ' . functions::timecount($user['total_on_site']) . '<br /></div>';
echo'<div class="list2">&raquo; Forumdagi xabarlari: <b>'.$user['postforum'].'</b></div>';

   // Меню выбора

    $total_photo = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_files` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    $total_friends = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `user_id`='{$user['id']}' AND `type`='2' AND `friends`='1'"), 0);
    $total_gifts = mysql_result(mysql_query("SELECT COUNT(*) FROM `users_gifts` WHERE `user_id`='{$user['id']}'"), 0);
	echo '' .
        '<div class="menu">' . functions::image('users.png') . '<a href="profile.php?act=friends&amp;user=' . $user['id'] . '">' . $lng_profile['friends'] . '</a>&#160;(' . $total_friends . ')</div>' .
		'<div class="menu">' . functions::image('photo.gif') . '<a href="album.php?act=list&amp;user=' . $user['id'] . '">' . $lng['photo_album'] . '</a>&#160;(' . $total_photo . ')</div>' .
        '<div class="menu">' . functions::image('guestbook.gif') . '<a href="profile.php?act=guestbook&amp;user=' . $user['id'] . '">' . $lng['guestbook'] . '</a>&#160;(' . $user['comm_count'] . ')</div>' .
		'<div class="menu">' . functions::image('talk.gif') . '<a href="../status/statuslar.php?id='.$user['id'].'">Statuslari</a> ('.$yosh_statuslari.')</div>';
		'';
		require 'guests.php';
		echo '<div class="menu"><img src="../images/gift.png" width="16" height="16"/>&#160;<a href="/gifts/index.php?act=showall&amp;user=' . $user['id'] . '">Sovg\'alari</a>&#160;(' . $total_gifts . ')</div>' .
        '<div class="menu">' . functions::image('contacts.png') . '<a href="profile.php?act=info&amp;user=' . $user['id'] . '">' . $lng['information'] . '</a></div>' .
        '<div class="menu">' . functions::image('activity.gif') . '<a href="profile.php?act=activity&amp;user=' . $user['id'] . '">' . $lng_profile['activity'] . '</a></div>' .
        '<div class="menu">' . functions::image('rate.gif') . '<a href="profile.php?act=stat&amp;user=' . $user['id'] . '">' . $lng['statistics'] . '</a></div>' .
        '<div class="menu"><img src="../images/gift.png" width="16" height="16"/>&#160;<a href="/gifts/index.php?user=' . $user['id'] . '">Sovg\'a yuborish</a></div>';
    $bancount = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_ban_users` WHERE `user_id` = '" . $user['id'] . "'"), 0);

    if ($bancount) {
        echo '<div class="menu"><img src="../images/block.gif" width="16" height="16"/>&#160;<a href="profile.php?act=ban&amp;user=' . $user['id'] . '">' . $lng['infringements'] . '</a> (' . $bancount . ')</div>';
    }
		if ($user['id'] != $user_id) {
        echo '<div class="menu"><p>';
        // Контакты
        if (!functions::is_ignor($user['id']) && functions::is_contact($user['id']) != 2) {
            if (!functions::is_friend($user['id'])) {
                $fr_in = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `from_id`='$user_id' AND `user_id`='{$user['id']}'"), 0);
                $fr_out = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `user_id`='$user_id' AND `from_id`='{$user['id']}'"), 0);
                if ($fr_in == 1) {
                    $friend = '<a class="underline" href="profile.php?act=friends&amp;do=ok&amp;id=' . $user['id'] . '">Do\stlik taklifini qabul qilish</a> | <a class="underline" href="profile.php?act=friends&amp;do=no&amp;id=' . $user['id'] . '">Rad etish</a>';
                } else if ($fr_out == 1) {
                    $friend = '<a class="underline" href="profile.php?act=friends&amp;do=cancel&amp;id=' . $user['id'] . '">Do\'stlik taklifini bekor qilish</a>';
                } else {
                    $friend = '<a href="profile.php?act=friends&amp;do=add&amp;id=' . $user['id'] . '">Do\'stlik taklif qilish</a>';
                }
            } else {
                $friend = '<a href="profile.php?act=friends&amp;do=delete&amp;id=' . $user['id'] . '">Do\'stlardan o\'chirish</a>';
            }
            echo '<div>' . functions::image('add.gif') . $friend . '</div>';
        }

        if (functions::is_contact($user['id']) != 2) {
            if (!functions::is_contact($user['id'])) {
                echo '<div><img src="../images/users.png" width="16" height="16"/>&#160;<a href="../mail/index.php?id=' . $user['id'] . '">Kontaktga qo\'shish</a></div>';
            } else {
                echo '<div><img src="../images/users.png" width="16" height="16"/>&#160;<a href="../mail/index.php?act=deluser&amp;id=' . $user['id'] . '">Kontaktdan o\'chirish</a></div>';
            }
        }

        if (functions::is_contact($user['id']) != 2) {
            echo '<div><img src="../images/del.png" width="16" height="16"/>&#160;<a href="../mail/index.php?act=ignor&amp;id=' . $user['id'] . '&amp;add">Qora ro\'yxatga qo\'shish</a></div>';
        } else {
            echo '<div><img src="../images/del.png" width="16" height="16"/>&#160;<a href="../mail/index.php?act=ignor&amp;id=' . $user['id'] . '&amp;del">Qora ro\'yxatdan olish</a></div>';
        }
        echo '</p>';

        echo '</div>';
   $req = mysql_query("SELECT * FROM `users` WHERE `id` = '$user_id'");
        $userInfo = mysql_fetch_assoc($req);
        if ($userInfo['santa']=='yes') {
            echo '<div class="phdr">Санта, выбери для ' . $user['name'] . ' подарок</div>
                    <div class="menu">
                    <form action="" method="post">
                        <select name="userGift">
                            ' . $selectGift . '
                        </select>
                        <input type="submit" name="submit" value="Добавить" />
                    </form>
                    </div>';
            if ($_POST['submit']) {
                $query = ("UPDATE `users` SET `santa_gift`='" . $_POST['userGift'] . "' WHERE `id`='" . $user['id'] . "'");
                mysql_query($query);
                if ($query) {
                    echo '<div class="gmenu">Подарок успешно подарен!</div>';
                } else {
                    echo '<div class="rmenu">Подарок не подарен!</div>';
                }

            }
       
    }
}
}
require_once('../incfiles/end.php');